Name:          libei
Version:       1.4.1
Release:       1mamba
Summary:       A library for Emulated Input, primarily aimed at the Wayland stack
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://gitlab.freedesktop.org/libinput/libei
Source:        https://gitlab.freedesktop.org/libinput/libei.git/%{version}/libei-%{version}.tar.bz2
Source1:       https://github.com/nemequ/munit.git/master/munit-%{version}.tar.bz2
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libevdev-devel
BuildRequires: libgcc
BuildRequires: libsystemd-devel
## AUTOBUILDREQ-END
BuildRequires: meson

%description
libei is a library for Emulated Input, primarily aimed at the Wayland stack.

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description devel
This package contains libraries and header files for developing applications that use %{name}.


%prep
%setup -q -a1
ln -s ../munit-%{version} subprojects/munit

%build
%meson
%meson_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%meson_install

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"


%files
%defattr(-,root,root)
%{_libdir}/libei.so.*
%{_libdir}/libeis.so.*
%{_libdir}/liboeffis.so.*
%doc COPYING

%files devel
%defattr(-,root,root)
%{_bindir}/ei-debug-events
%dir %{_includedir}/libei-1.0
%{_includedir}/libei-1.0/*.h
%{_libdir}/libei.so
%{_libdir}/libeis.so
%{_libdir}/libmunit.so
%{_libdir}/liboeffis.so
%{_libdir}/pkgconfig/libei-1.0.pc
%{_libdir}/pkgconfig/libeis-1.0.pc
%{_libdir}/pkgconfig/liboeffis-1.0.pc
%doc README.md

%changelog
* Wed Apr 02 2025 Automatic Build System <autodist@openmamba.org> 1.4.1-1mamba
- automatic version update by autodist

* Thu Feb 13 2025 Automatic Build System <autodist@openmamba.org> 1.4.0-1mamba
- automatic version update by autodist

* Wed Feb 05 2025 Automatic Build System <autodist@openmamba.org> 1.3.901-1mamba
- automatic version update by autodist

* Thu Aug 08 2024 Automatic Build System <autodist@openmamba.org> 1.3.0-1mamba
- automatic version update by autodist

* Mon Feb 05 2024 Automatic Build System <autodist@openmamba.org> 1.2.1-1mamba
- automatic version update by autodist

* Sat Dec 23 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.0-1mamba
- package created using the webbuild interface
